# cwltool.cwlrdf

RDF output.

## Functions

`gather`(tool, ctx[, inputs]) | Convert a Process with optional inputs object into a RDF Graph.
`printrdf`(wflow, ctx, style[, inputs]) | Serialize the CWL document into a string, ready for printing.
`lastpart`(uri) |
`printdot`(wf, ctx, stdout) |

## Module Contents

cwltool.cwlrdf.gather(tool, ctx, inputs=None)

  Convert a Process with optional inputs object into a RDF Graph.

  Parameters:

    - tool (cwltool.process.Process)

    - ctx (schema_salad.utils.ContextType)

    - inputs (cwl_utils.types.CWLObjectType | None)

  Return type:

    rdflib.Graph

cwltool.cwlrdf.printrdf(wflow, ctx, style, inputs=None)

  Serialize the CWL document into a string, ready for printing.

  Parameters:

    - wflow (cwltool.process.Process)

    - ctx (schema_salad.utils.ContextType)

    - style (str)

    - inputs (cwl_utils.types.CWLObjectType | None)

  Return type:

    str

cwltool.cwlrdf.lastpart(uri)
  Parameters:

    uri (Any)

  Return type:

    str

cwltool.cwlrdf.printdot(wf, ctx, stdout)
  Parameters:

    - wf (cwltool.process.Process)

    - ctx (schema_salad.utils.ContextType)

    - stdout (IO[str])

  Return type:

    None